aboutsummaryrefslogtreecommitdiffstats
path: root/util/update_widget_repo
diff options
context:
space:
mode:
authorredmatrix <redmatrix@redmatrix.me>2015-05-14 18:02:29 -0700
committerredmatrix <redmatrix@redmatrix.me>2015-05-14 18:02:29 -0700
commita6cb90c81c29663e96d4fd96acd43fde1c28ac15 (patch)
tree24d116fb5fe6b1e2687f833cee9685d6480a95eb /util/update_widget_repo
parentb467dc4f0055452b65fac842d1294ec9cc978445 (diff)
parent51b89f0ed8833004cf695de90791d8d0eec550b5 (diff)
downloadvolse-hubzilla-a6cb90c81c29663e96d4fd96acd43fde1c28ac15.tar.gz
volse-hubzilla-a6cb90c81c29663e96d4fd96acd43fde1c28ac15.tar.bz2
volse-hubzilla-a6cb90c81c29663e96d4fd96acd43fde1c28ac15.zip
Merge branch 'master' into tres
Conflicts: include/Import/refimport.php include/activities.php include/attach.php include/event.php include/externals.php include/identity.php include/items.php include/notifier.php include/photos.php include/taxonomy.php include/zot.php mod/channel.php mod/connedit.php mod/events.php mod/item.php mod/like.php mod/manage.php mod/mood.php mod/ping.php mod/poke.php mod/subthread.php mod/tagger.php mod/thing.php
Diffstat (limited to 'util/update_widget_repo')
-rwxr-xr-xutil/update_widget_repo35
1 files changed, 35 insertions, 0 deletions
diff --git a/util/update_widget_repo b/util/update_widget_repo
new file mode 100755
index 000000000..c00c85708
--- /dev/null
+++ b/util/update_widget_repo
@@ -0,0 +1,35 @@
+#!/bin/sh -f
+
+if [ $# -ne 1 ]; then
+ echo usage: $0 repository
+ echo "Repositories:"
+ ls extend/widget
+ exit 1
+fi
+
+cd extend/widget/$1
+
+if [ -d .git ] ; then
+ git pull
+fi
+
+cd ../../..
+
+filelist=(`ls extend/widget/$1`)
+
+cd widget
+
+for a in "${filelist[@]}" ; do
+ base=`basename $a`
+ if [ $base = '.git' ]; then
+# echo 'ignoring git'
+ continue;
+ fi
+ if [ -x $base ]; then
+# echo $base 'file exists'
+ continue;
+ fi
+
+ echo linking $base
+ ln -s ../extend/widget/$1/$base $base
+done